<?php
class Idioma extends AppObjeto {
	
	const IDIOMA_ESPAÑOL = 1;
	const IDIOMA_INGLES = 2;
	const IDIOMA_FRANCES = 3;
	
	//Propiedades
	protected $codigo;
	protected $nombre;
			
		/* para conectar con bd */
	protected static $_aliasTabla = 'id';
	protected static $_nombreTabla = 'idioma';
	protected static $_campoPK = 'codigo';
	
	
	// InitMetaDatos
	protected static function initMetaDatos(){
		self::addPropiedadBD('id', 'CODIGO', 'codigo', self::META_INT);
		self::addPropiedadBD('id', 'NOMBRE', 'nombre', self::META_VARCHAR);
	}

	// Métodos
	
	// Get y Set
	
	public function getCodigo() {
	    return $this->codigo;
	}
	public function setCodigo($codigo) {
	    $this->codigo = $codigo;
	}
	
	public function getNombre() {
	    return $this->nombre;
	}
	public function setNombre($nombre) {
	    $this->nombre = $nombre;
	}
	
	public static function langToIdioma($lang){
		$idioma = self::IDIOMA_ESPAÑOL;
		switch ($lang){
			case 'es_ES':
				$idioma = self::IDIOMA_ESPAÑOL;
				break;
			case 'fr_FR':
				$idioma = self::IDIOMA_FRANCES;
				break;
			case 'en_GB':
				$idioma = self::IDIOMA_INGLES;
				break;
		}
		return $idioma;
	}
	
	public static function idiomaToLang($idioma){
		$lang = 'es';
		switch ($idioma) {
			case self::IDIOMA_ESPAÑOL:
				$lang = 'es_ES';
				break;
			case self::IDIOMA_INGLES:
				$lang = 'en_GB';
				break;
			case self::IDIOMA_FRANCES:
				$lang = 'fr_FR';
				break;
		}
	}
	
	
}